/**
 * Copyright 2019 DH
 * All right reserved.
 * 项目名称: 大恒泰山系统
 * 创建日期:2022/6/15
 */
package org.ts.ddcs.CheckController.Service;

import org.ts.ddcs.CheckController.Service.Entity.RtuCheckInfo;

import java.util.List;

/***
 * Date:2022/6/15
 * Title:文件所属模块（必须填写）
 * Description：对本文件的详细描述，原则上不能少于30字
 * @author dylan
 * @version 1.0
 * Remark：认为有必要的其他信息
 */
public interface CheckService {

    /**
     * 按组织机构ID查询巡检记录
     *
     * @param orgId
     * @return
     */
    List<RtuCheckInfo> list(String orgId);

    /**
     * 查询巡检信息
     * @param checkId
     * @return
     */
    RtuCheckInfo checkInfo(String checkId);

    /**
     * 新增巡检处理记录
     * @param checkId
     * @param rtuCheckInfo
     */
    void saveProcess(String checkId,RtuCheckInfo rtuCheckInfo);

    /**
     * 巡检处理信息列表
     * @param checkId
     * @return
     */
    List<RtuCheckInfo> processList(String checkId);

    /**
     *  巡检处理详情信息
     * @param processId
     * @return
     */
    RtuCheckInfo processInfo(String processId);

    /**
     * 巡检处理图片
     * @param processId
     * @return
     */
    List<String> processPhotos(String processId);
}
